classification
Title: Don't log ssl cert errors in asyncio
Type: Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: asvetlov Nosy List: asvetlov, yselivanov
Priority: normal Keywords: patch

Created on 2018-09-11 16:59 by asvetlov, last changed 2018-10-08 16:48 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9169 merged asvetlov, 2018-09-11 17:04
Messages (2)
msg325032 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-09-11 16:59
It is reported as a regular exception, not need to log it (as we skip logging of connection errors already).
msg325180 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2018-09-12 21:03
New changeset 0dd71807a98c4a86ece2aea869ea99f09204b16b by Andrew Svetlov in branch 'master':
bpo-34630: Skip logging SSL certificate errors by asyncio code (GH-9169)
https://github.com/python/cpython/commit/0dd71807a98c4a86ece2aea869ea99f09204b16b
History
Date User Action Args
2018-10-08 16:48:45asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-08 16:48:34asvetlovsetassignee: asvetlov

nosy: + yselivanov
components: + asyncio
versions: + Python 3.8
2018-09-12 21:03:57asvetlovsetmessages: + msg325180
2018-09-11 17:04:37asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8611
2018-09-11 16:59:29asvetlovcreate